com.trendmicro.ds.platform.rest.api

## Interface ILicenseAPI

-     public interface ILicenseAPI

  Interface for the licensing API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddActivationCodeResponse` | `addActivationCode(int moduleNumber, java.lang.String activationCode, java.lang.String sID)` Adds the activation code for the specified module
    `java.lang.String` | `retrieveActivationCode(int moduleNumber, java.lang.String sID)` Retrieves the current activation code for the specified module

- - ### Method Detail

    - #### addActivationCode

          AddActivationCodeResponse addActivationCode(int moduleNumber,
                                                      java.lang.String activationCode,
                                                      java.lang.String sID)
                                               throws java.lang.Exception

      Adds the activation code for the specified module
      Parameters:
        `moduleNumber` - -1 for all modules, 0 for AV, 1 for NET or VP, 2 for IM, 3 for LI, 4 for SAP
        `activationCode` - activation code
        `sID` -
      Returns:
        Status 200 means ok
      Throws:
        `java.lang.Exception`

    - #### retrieveActivationCode

          java.lang.String retrieveActivationCode(int moduleNumber,
                                                  java.lang.String sID)
                                           throws java.lang.Exception

      Retrieves the current activation code for the specified module
      Parameters:
        `moduleNumber` - 0 for AV, 1 for NET or VP, 2 for IM, 3 for LI, 4 for SAP. *

        Note: If a single activation code was used to license all modules, all values (0-3) will return the same code.

        `sID` -
      Returns:
        The current activation code for the specified module
      Throws:
        `java.lang.Exception`

Copyright © 2015 Trend Micro Inc. All Rights Reserved.